Menu

apiMyStockPage

RequêteClé requise

Shop API: available quantities ordered by last change with a keyset cursor (contract §7). Poll with updatedSince and the last nextCursor.

Arguments

NomTypeDescription
cursorString
limitInt
updatedSinceDateTime

Retourne

StockAvailabilityPage!

Exemple

GraphQL
query ApiMyStockPage($cursor: String, $limit: Int, $updatedSince: DateTime) {
  apiMyStockPage(cursor: $cursor, limit: $limit, updatedSince: $updatedSince) {
    items {
      availableQty
      offerId
    }
    nextCursor
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiMyStockPage($cursor: String, $limit: Int, $updatedSince: DateTime) { apiMyStockPage(cursor: $cursor, limit: $limit, updatedSince: $updatedSince) { items { availableQty offerId } nextCursor } }"}'